payments
Get apiv1payments 1
GET
/
api
/
v1
/
payments
/
{paymentId}
Error
A valid request URL is required to generate request examples{
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "XROCKET",
"network": "<string>",
"status": "CREATING",
"amount": "125.500000",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"depositAddress": "<string>",
"depositMinAmount": "<string>",
"depositExpiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"invoiceUrl": "<string>",
"transactionId": "<string>",
"fromAddress": "<string>",
"serviceFee": "125.500000",
"creditsCredited": "125.500000",
"failureReason": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Available options:
XROCKET Available options:
CREATING, PENDING, COMPLETED, FAILED, EXPIRED Pattern:
^-?\d+(\.\d{1,6})?$Example:
"125.500000"
Pattern:
^-?\d+(\.\d{1,6})?$Example:
"125.500000"
Pattern:
^-?\d+(\.\d{1,6})?$Example:
"125.500000"
⌘I
Error
A valid request URL is required to generate request examples{
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "XROCKET",
"network": "<string>",
"status": "CREATING",
"amount": "125.500000",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"depositAddress": "<string>",
"depositMinAmount": "<string>",
"depositExpiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"invoiceUrl": "<string>",
"transactionId": "<string>",
"fromAddress": "<string>",
"serviceFee": "125.500000",
"creditsCredited": "125.500000",
"failureReason": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}